package com.reyun.saas.report.data.service;

import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.report.vo.ReportParamsVO;

public interface DataService {
    RestResult relative(ReportParamsVO reportParamsVO);

    RestResult dashboardChart(ReportParamsVO reportParamsVO);

    RestResult channelQualityTopChart(ReportParamsVO reportParamsVO, String type);

    RestResult channelQualityTopList(ReportParamsVO reportParamsVO);

    RestResult statisticAnalysisChart(ReportParamsVO reportParamsVO, Long loginUserId);

    RestResult statisticAnalysisList(ReportParamsVO reportParamsVO, Long loginUserId);
}
